Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.api
Class MultiUserCatalogAPI

    java.lang.Object
      jet.api.API
          jet.api.CatalogAPI
              jet.api.MultiUserCatalogAPI

    public class MultiUserCatalogAPI

extends CatalogAPI

CatalogAPI class provides methods to manipulate the catalog objects. By building a CatalogAPI instance in a Java program, users can edit a report by methods provided by API.

Field Summary

Fields inherited from class jet.api.CatalogAPI
`ALIAS, AVERAGE, BINARY, BOOLEAN, BUSINESSLOGIC, BUSINESSLOGIC_CATEGORY, BUSINESSLOGIC_DETAILINFO, BUSINESSLOGIC_DIMENSION, BUSINESSLOGIC_HIERARCHY, BUSINESSLOGIC_HIERARCHYCONTAINER, BUSINESSLOGIC_MEASURE, CATALOG, COLUMN, CONNECTION, COUNT, CURRENCY, DATABASE, DATE, DATETIME, DECIMAL, DISTINCTCOUNT, ENCODINGAUTO, ENCODINGNO, ENCODINGYES, EXTRA_NAME_JDBC, EXTRA_NAME_USERDEFINED, FILESQL, FORMULA, HDS, INTEGER, JDBC, JDBC_ODBC_BRIDGE, MAXIMUM, MINIMUM, NUMBER, ONDEMAND_QUERY, PARAMETER, PARAMETERS, PATTERN_1PART_NAME, PATTERN_2PART_NAME, PATTERN_3PART_NAME, POPULATIONSTDDEV, POPULATIONVARIANCE, PROCEDURE, QUERY, READ_ONLY_DEFAULT, READ_ONLY_FALSE, READ_ONLY_TRUE, STDDEV, STRING, SUM, SUMMARY, SYNONYM, TABLE, TIME, TRANSACTION_DEFAULT, TRANSACTION_NONE, TRANSACTION_READ_COMMITTED, TRANSACTION_READ_UNCOMMITTED, TRANSACTION_REPEATABLE_READ, TRANSACTION_SERIALIZABLE, UDS, VARIANCE, VIEW, WHEREPORTION, XML_CONNECTION, XML_MDCONTAINER`

Fields inherited from class jet.api.API
`CAT, CENTIMETER, COLOR, DOUBLE, ENUM, FLOAT, handles, INCH, LONG, PIXEL, REFERENCE, RPT, SELFRPT, TEXTRPT, UNKNOWN, XMLCAT, XMLRPT`

Method Summary
`boolean` | `delete(java.lang.String qryName, java.lang.String tableFrom, java.lang.String columnFrom, java.lang.String operator, java.lang.String tableTo, java.lang.String columnTo, java.lang.String uID)` Deletes joins in the query
`boolean` | `delete(java.lang.String sourceName, java.lang.String qryName, java.lang.String tableFrom, java.lang.String columnFrom, java.lang.String operator, java.lang.String tableTo, java.lang.String columnTo, java.lang.String uID)` Deletes joins in the query
`boolean` | `deleteAND(java.lang.String qryName, java.lang.String sExpression1, java.lang.String sOperator, java.lang.String sExpression2, java.lang.String sLogic, java.lang.String uID)` Deletes where conditions in the query
`boolean` | `deleteAND(java.lang.String sourceName, java.lang.String qryName, java.lang.String sExpression1, java.lang.String sOperator, java.lang.String sExpression2, java.lang.String sLogic, java.lang.String uID)` Deletes where conditions in the query
`boolean` | `deleteColumn(java.lang.String qryName, java.lang.String tablename, java.lang.String columnname, java.lang.String uID)` Deletes the selected fields in the query
`boolean` | `deleteColumn(java.lang.String sourceName, java.lang.String qryName, java.lang.String tablename, java.lang.String columnname, java.lang.String uID)` Deletes the selected fields in the query
`boolean` | `deleteCompCol(java.lang.String qryName, java.lang.String columnName, java.lang.String uID)` delete a computed column into query.
`boolean` | `deleteCompCol(java.lang.String sourceName, java.lang.String qryName, java.lang.String columnName, java.lang.String uID)` delete a computed column into query.
`boolean` | `deleteQBE(java.lang.String qryName, java.lang.String tablename, java.lang.String columnname, java.lang.String expression, java.lang.String uID)` Deletes the QBE condition in the query
`boolean` | `deleteQBE(java.lang.String sourceName, java.lang.String qryName, java.lang.String tablename, java.lang.String columnname, java.lang.String expression, java.lang.String uID)` Deletes the QBE condition in the query
`boolean` | `deleteQuery(java.lang.String qryName, java.lang.String uID)` Deletes the query
`boolean` | `deleteQuery(java.lang.String sourceName, java.lang.String qryName, java.lang.String uID)` Deletes the query
`boolean` | `deleteTable(java.lang.String qryName, java.lang.String tablename, java.lang.String uID)` Deletes the selected table in the query
`boolean` | `deleteTable(java.lang.String sourceName, java.lang.String qryName, java.lang.String tablename, java.lang.String uID)` Deletes the selected table in the query
`java.lang.String[][]` | `getAndConditions(java.lang.String queryName, java.lang.String uID)` Gets "AND" conditions in the query
`java.lang.String[][]` | `getAndConditions(java.lang.String sourceName, java.lang.String queryName, java.lang.String uID)` Gets "AND" conditions in the query
`java.lang.String[]` | `getChartFunctions(java.lang.String queryName, java.lang.String groupBy, java.lang.String uID)` Gets formulae and summaries which are valid to the query and grouped on this field.
`java.lang.String[]` | `getChartFunctions(java.lang.String sourceName, java.lang.String queryName, java.lang.String groupBy, java.lang.String uID)` Gets formulae and summaries which are valid to the query and grouped on this field.
`java.lang.String[]` | `getColumnMappingnames(java.lang.String queryName, java.lang.String uID)` Gets column mapping names in the query
`java.lang.String[]` | `getColumnMappingnames(java.lang.String sourceName, java.lang.String queryName, java.lang.String uID)` Gets column mapping names in the query
`QueryTableInfo` | `getColumns(java.lang.String queryName, boolean allColumns, java.lang.String uID)` Gets columns in the query
`QueryTableInfo` | `getColumns(java.lang.String sourceName, java.lang.String queryName, boolean allColumns, java.lang.String uID)` Gets columns in the query
`QueryTableInfo` | `getColumnsCanBeGroupedBy(java.lang.String queryName, java.lang.String uID)` Gets columns which can be groupby in the query
`QueryTableInfo` | `getColumnsCanBeGroupedBy(java.lang.String sourceName, java.lang.String queryName, java.lang.String uID)` Gets columns which can be groupby in the query
`java.lang.String[]` | `getCompColumns(java.lang.String queryName, java.lang.String uID)` Gets computed columns in the query
`java.lang.String[]` | `getCompColumns(java.lang.String sourceName, java.lang.String queryName, java.lang.String uID)` Gets computed columns in the query
`java.lang.String[]` | `getDBFields(java.lang.String qryName, java.lang.String uID)` Gets DBFields that can be used in the query.
`java.lang.String[]` | `getDBFields(java.lang.String sourceName, java.lang.String qryName, java.lang.String uID)` Gets DBFields that can be used in the query.
`java.lang.String[]` | `getFmlCanBeGroupedBy(java.lang.String queryName, java.lang.String uID)` Gets formulae which are valid to query and can be group on
`java.lang.String[]` | `getFmlCanBeGroupedBy(java.lang.String sourceName, java.lang.String queryName, java.lang.String uID)` Gets formulae which are valid to query and can be group on
`java.lang.String[]` | `getFormulae(java.lang.String uID)` Gets formulae that can be used in the catalog.
`java.lang.String[]` | `getFormulae(java.lang.String sourceName, java.lang.String uID)` Gets formulae that can be used in the catalog.
`java.lang.String[]` | `getFormulaeCanBeGroupedBy(java.lang.String queryName, java.lang.String groupBy, java.lang.String uID)` Gets formulae which are valid to query
`java.lang.String[]` | `getFormulaeCanBeGroupedBy(java.lang.String sourceName, java.lang.String queryName, java.lang.String groupBy, java.lang.String uID)` Gets formulae which are valid to query
`java.lang.String[]` | `getFormulaeForQuery(java.lang.String queryName, java.lang.String uID)` Gets formulae which are valid to query
`java.lang.String[]` | `getFormulaeForQuery(java.lang.String sourceName, java.lang.String queryName, java.lang.String uID)` Gets formulae which are valid to query
`java.lang.String` | `getHandle(java.lang.String resourceName, int type, java.lang.String uID)` get the object handle
`java.lang.String` | `getHandle(java.lang.String resourceName, java.lang.String uID)` get the object handle
`java.lang.String` | `getHandle(java.lang.String sourceName, java.lang.String resourceName, java.lang.String uID)` get the object handle
`java.lang.String[][]` | `getJoins(java.lang.String queryName, java.lang.String uID)` Gets joins in the query
`java.lang.String[][]` | `getJoins(java.lang.String sourceName, java.lang.String queryName, java.lang.String uID)` Gets joins in the query
`java.lang.String` | `getNewFormulaName(java.lang.String uID)` Gets the default Formula name for the Formula to be created in the current catalog,which must be unique.
`java.lang.String` | `getNewFormulaName(java.lang.String sourceName, java.lang.String uID)` Gets the default Formula name for the Formula to be created in the current catalog,which must be unique.
`java.lang.String` | `getNewParameterName(java.lang.String uID)` Gets the default Parameter name for the Parameter to be created in the current catalog,which must be unique.
`java.lang.String` | `getNewParameterName(java.lang.String sourceName, java.lang.String uID)` Gets the default Parameter name for the Parameter to be created in the current catalog,which must be unique.
`java.lang.String` | `getNewSummaryName(java.lang.String uID)` Gets the default Summary name for the Summary to be created in the current catalog,which must be unique.
`java.lang.String` | `getNewSummaryName(java.lang.String sourceName, java.lang.String uID)` Gets the default Summary name for the Summary to be created in the current catalog,which must be unique.
`java.lang.String[]` | `getParameter(java.lang.String uID)` Gets parameters in the catalog.
`java.lang.String[]` | `getParameter(java.lang.String sourceName, java.lang.String uID)` Gets parameters in the catalog.
`java.lang.String[]` | `getParameterCanBeGroupedBy(java.lang.String uID)` Gets parameters which can be grouped by
`java.lang.String[]` | `getParameterCanBeGroupedBy(java.lang.String sourceName, java.lang.String uID)` Gets parameters which can be grouped by
`java.lang.String[][]` | `getQBEInfo(java.lang.String queryName, java.lang.String uID)` Gets QBE infomation in the query
`java.lang.String[][]` | `getQBEInfo(java.lang.String sourceName, java.lang.String queryName, java.lang.String uID)` Gets QBE infomation in the query
`java.lang.String[]` | `getQueries(java.lang.String uID)` Gets queries in the catalog.
`java.lang.String[]` | `getQueries(java.lang.String sourceName, java.lang.String uID)` Gets queries in the catalog.
`java.lang.String[]` | `getSQLs(java.lang.String uID)` Gets all SQL files in the catalog.
`java.lang.String[]` | `getSQLs(java.lang.String sourceName, java.lang.String uID)` Gets all SQL files in the catalog.
`java.lang.String[]` | `getSummaries(java.lang.String uID)` Gets summaries that can be used in the catalog.
`java.lang.String[]` | `getSummaries(java.lang.String sourceName, java.lang.String uID)` Gets summaries that can be used in the catalog.
`java.lang.String[]` | `getSummariesForQuery(java.lang.String queryName, java.lang.String uID)` Gets Summaries which are valid to query
`java.lang.String[]` | `getSummariesForQuery(java.lang.String sourceName, java.lang.String queryName, java.lang.String uID)` Gets Summaries which are valid to query
`java.lang.String[]` | `getSummaryCanBeSortedBy(java.lang.String queryName, java.lang.String groupBy, java.lang.String uID)` Gets summary which can be sorted by
`java.lang.String[]` | `getSummaryCanBeSortedBy(java.lang.String sourceName, java.lang.String queryName, java.lang.String groupBy, java.lang.String uID)` Gets summary which can be sorted by
`java.lang.String[]` | `getTables(java.lang.String uID)` Gets tables and views in the connection
`java.lang.String[]` | `getTables(java.lang.String sourceName, java.lang.String uID)` Gets tables and views in the connection
`java.lang.String[]` | `getUDSs(java.lang.String uID)` Gets all UDSs in the catalog.
`java.lang.String[]` | `getUDSs(java.lang.String sourceName, java.lang.String uID)` Gets all UDSs in the catalog.
`java.lang.String` | `insert(java.lang.String name, int type, java.lang.String uID)` insert resource entity into catalog.
`java.lang.String` | `insert(java.lang.String qryName, QueryFieldInfo queryFieldInfo, QueryJoinInfo queryJoinInfo, QueryQBEInfo queryQBEInfo, QueryAndInfo queryAndInfo, java.lang.String uID)` Inserts a query into the catalog.
`java.lang.String` | `insert(java.lang.String sourceName, java.lang.String name, int type, java.lang.String uID)` insert resource entity into catalog.
`java.lang.String` | `insert(java.lang.String sourceName, java.lang.String qryName, QueryFieldInfo queryFieldInfo, QueryJoinInfo queryJoinInfo, QueryQBEInfo queryQBEInfo, QueryAndInfo queryAndInfo, java.lang.String uID)` Inserts a query into the catalog.
`java.lang.String` | `insertCompCol(java.lang.String qryName, java.lang.String columnName, java.lang.String sExpression, java.lang.String uID)` Inserts a computed column into query.
`java.lang.String` | `insertCompCol(java.lang.String sourceName, java.lang.String qryName, java.lang.String columnName, java.lang.String sExpression, java.lang.String uID)` Inserts a computed column into query.
`java.lang.String` | `insertSql(java.lang.String dataSourceName, java.lang.String SQLName, java.lang.String filename, java.lang.String uID)` Imports a SQL file
`boolean` | `isModified()` whether the catalog was modified
`java.lang.String` | `rename(java.lang.String resourceName, java.lang.String newName, int type, java.lang.String uID)` rename the specified object
`java.lang.String` | `rename(java.lang.String sourceName, java.lang.String resourceName, java.lang.String newName, int type, java.lang.String uID)` rename the specified object
`boolean` | `save(java.lang.String uID)` Save all object used by uID to catalog and save catalog.
`boolean` | `save(java.lang.String handle, java.lang.String uID)` Save a object to catalog and save catalog.
`boolean` | `save(java.lang.String dataSource, java.lang.String handle, java.lang.String uID)` Save a object used by uID to catalog and specified database.
`boolean` | `saveCatalog(java.lang.String uID, java.lang.String dataSource)` Save all object used by uID to catalog and specified database.
`boolean` | `set(java.lang.String handle, FormulaInfo info, java.lang.String uID)` modify formula
`boolean` | `set(java.lang.String qryName, java.lang.String tablename, boolean selectAllFields, java.lang.String uID)` Adds a new table to the query
`boolean` | `set(java.lang.String qryName, java.lang.String tablename, java.lang.String columnname, boolean isFormula, java.lang.String uID)` Adds a new field to the query
`boolean` | `set(java.lang.String sourceName, java.lang.String qryName, java.lang.String tablename, java.lang.String columnname, boolean isFormula, java.lang.String uID)` Adds a new field to the query
`boolean` | `set(java.lang.String qryName, java.lang.String tableFrom, java.lang.String columnFrom, java.lang.String operator, java.lang.String tableTo, java.lang.String columnTo, java.lang.String uID)` Adds a new join to the query
`boolean` | `set(java.lang.String sourceName, java.lang.String qryName, java.lang.String tableFrom, java.lang.String columnFrom, java.lang.String operator, java.lang.String tableTo, java.lang.String columnTo, java.lang.String uID)` Adds a new join to the query
`boolean` | `set(java.lang.String sourceName, java.lang.String qryName, SubQueryInfo subqueryInfo, java.lang.String uID)` Adds a subquery in to the query
`boolean` | `set(java.lang.String sourceName, java.lang.String qryName, UnionInfo unionInfo, java.lang.String uID)` Adds a union query in to the query
`boolean` | `set(java.lang.String qryName, SubQueryInfo subqueryInfo, java.lang.String uID)` Adds a subquery in to the query
`boolean` | `set(java.lang.String qryName, UnionInfo unionInfo, java.lang.String uID)` Adds a union query in to the query
`boolean` | `setAND(java.lang.String qryName, java.lang.String sExpression1, java.lang.String sOperator, java.lang.String sExpression2, java.lang.String sLogic, java.lang.String uID)` Adds a new where condition to the query
`boolean` | `setAND(java.lang.String sourceName, java.lang.String qryName, java.lang.String sExpression1, java.lang.String sOperator, java.lang.String sExpression2, java.lang.String sLogic, java.lang.String uID)` Adds a new where condition to the query
`boolean` | `setCompCol(java.lang.String qryName, java.lang.String columnName, java.lang.String sExpression, java.lang.String uID)` modify the expression of a computed column .
`boolean` | `setCompCol(java.lang.String sourceName, java.lang.String qryName, java.lang.String columnName, java.lang.String sExpression, java.lang.String uID)` modify the expression of a computed column .
`boolean` | `setNewTable(java.lang.String sourceName, java.lang.String qryName, java.lang.String tablename, boolean selectAllFields, java.lang.String uID)` Adds a new table to the query
`boolean` | `setQBE(java.lang.String qryName, java.lang.String tablename, java.lang.String columnname, java.lang.String expression, java.lang.String uID)` Adds a new QBE condition to the query
`boolean` | `setQBE(java.lang.String sourceName, java.lang.String qryName, java.lang.String tablename, java.lang.String columnname, java.lang.String expression, java.lang.String uID)` Adds a new QBE condition to the query

Methods inherited from class jet.api.CatalogAPI
`checkParam, create, delete, delete, delete, delete, delete, delete, delete, delete, deleteCompCol, deleteCondition, deleteQuery, deleteQueryField, deleteQueryTable, deleteUnionQuery, getAndConditions, getAndInfos, getAndInfos, getBLCategoryHandles, getBLDetailHandles, getBLDimensionHandles, getBLHierarchyHandles, getBLMeasureHandles, getBLNodeQualifyName, getBLViewHandles, getBLViewHandles, getBLViewNames, getBLViewNames, getBusinessNodeNames, getChartFunctions, getColumnMappingnames, getColumns, getColumns, getColumnsCanBeGroupedBy, getCompColumnHandles, getCompColumns, getConnectionInfo, getConnectionInfo, getDataSources, getDBFields, getForeignKeys, getForeignKeys, getFormulae, getFormulaeCanBeGroupedBy, getFormulaeCanBeGroupedBy, getFormulaeForQuery, getFormulaInfo, getFormulasCanBeGroupedBy, getFunctions, getFunctions, getFunctions, getHandle, getHandle, getHDSs, getHDSs, getJoinInfos, getJoinInfos, getJoins, getMapColumns, getMapColumns, getMappingname, getMappingnames, getMappingnames, getNewFormulaName, getNewQueryName, getNewQueryName, getNewReportName, getObjectInfo, getObjectInfo, getObjectInfo, getParameter, getParameterCanBeGroupedBy, getParameterInfo, getPrimaryKeys, getPrimaryKeys, getProcColumns, getProcColumns, getProcColumnsMap, getProcColumnsMap, getProcedureNames, getProcedureNames, getQBEInfo, getQBEInfos, getQBEInfos, getQueries, getQuoteChar, getQuoteChar, getSPFields, getSPFieldsMap, getSQLColumns, getSQLColumns, getSQLColumnsMap, getSQLColumnsMap, getSQLs, getSQLString, getSQLString, getSQLType, getSQLType, getSubQueries, getSummaries, getSummariesForQuery, getSummaryCanBeSortedBy, getSummaryInfo, getTableColumns, getTableColumns, getTableColumns, getTableColumns, getTableColumnsMap, getTableColumnsMap, getTableColumnsMap, getTableColumnsMap, getTables, getTables, getTables, getUDSColumns, getUDSColumns, getUDSColumnsMap, getUDSColumnsMap, getUDSs, getUnionableQueries, getUnionableQueries, getUnionInfos, getUnionInfos, getUnionQueries, getUnionQueries, getUnionQueries, getUnionQueries, getUserID, insert, insert, insert, insert, insert, insert, insert, insert, insert, insert, insert, insert, insert, insert, insert, insert, insert, insert, insert, insert, insert, insert, insert, insert, insert, insert, insert, insert, insert, insertBLCategory, insertBLDetail, insertBLDimension, insertBLHierarchy, insertBLMeasure, insertBusinessView, insertClassHDS, insertCompCol, insertSql, insertXMLHDS, isDistinctQuery, isNameExist, isNameExist, mapFunction, parseFormula, parseFormulae, parseFormulae, rename, rename, save, saveAs, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, setCompCol, setCondition, setDistinctQuery, setJoin, setModified, setQueryTable, setQueryTable, updateSQLFile, updateSQLFile, updateUDS, updateUDS`

Methods inherited from class jet.api.API
`clearError, clearMsg, clearWarning, closeLog, containPropName, getBool, getChildren, getColor, getDouble, getError, getFloat, getHandles, getHandles, getHandles, getHandles, getInstanceName, getInt, getLong, getParent, getPropNames, getPropType, getQualifyName, getString, getStringArray, getUnit, getWarning, set, set, set, set, set, set, setLog, setLog, setLog, setReference, setUnit, writeLog, writeLog`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### save

    public boolean save(java.lang.String uID)
                 throws WriteFailureException,
                        FMLFileException

  Save all object used by uID to catalog and save catalog.

  Parameters:
    `uID` - the User ID
  Returns:
    true if is sucessful
  Throws:
    `WriteFailureException`
    `FMLFileException`

### saveCatalog

    public boolean saveCatalog(java.lang.String uID,
                               java.lang.String dataSource)
                        throws WriteFailureException,
                               FMLFileException

  Save all object used by uID to catalog and specified database.

  Parameters:
    `uID` - the User ID
    `dataSource` - database name
  Returns:
    true if is sucessful
  Throws:
    `WriteFailureException`
    `FMLFileException`

### save

    public boolean save(java.lang.String handle,
                        java.lang.String uID)
                 throws WriteFailureException,
                        FMLFileException

  Save a object to catalog and save catalog.

  Parameters:
    `handle` - the handle of object to be saved to the catalog
    `uID` - the User ID
  Throws:
    `WriteFailureException`
    `FMLFileException`

### save

    public boolean save(java.lang.String dataSource,
                        java.lang.String handle,
                        java.lang.String uID)
                 throws WriteFailureException,
                        FMLFileException

  Save a object used by uID to catalog and specified database.

  Parameters:
    `handle` - the handle of object to be saved to the catalog
    `uID` - the User ID
    `dataSource` - database name
  Returns:
    true if is sucessful
  Throws:
    `WriteFailureException`
    `FMLFileException`

### getNewParameterName

    public java.lang.String getNewParameterName(java.lang.String uID)

  Gets the default Parameter name for the Parameter to be created in the current catalog,which must be unique. The first Parameter name is Parameter1, the following will be Parameter2, Parameter3....

  Parameters:
    `uID` - the User ID

### getNewParameterName

    public java.lang.String getNewParameterName(java.lang.String sourceName,
                                                java.lang.String uID)

  Gets the default Parameter name for the Parameter to be created in the current catalog,which must be unique. The first Parameter name is Parameter1, the following will be Parameter2, Parameter3....

  Parameters:
    `uID` - the User ID

### getNewSummaryName

    public java.lang.String getNewSummaryName(java.lang.String uID)

  Gets the default Summary name for the Summary to be created in the current catalog,which must be unique. The first Summary name is Summary1, the following will be Summary2, Summary3....

  Parameters:
    `uID` - the User ID

### getNewSummaryName

    public java.lang.String getNewSummaryName(java.lang.String sourceName,
                                              java.lang.String uID)

  Gets the default Summary name for the Summary to be created in the current catalog,which must be unique. The first Summary name is Summary1, the following will be Summary2, Summary3....

  Parameters:
    `uID` - the User ID

### getNewFormulaName

    public java.lang.String getNewFormulaName(java.lang.String uID)

  Gets the default Formula name for the Formula to be created in the current catalog,which must be unique. The first Formula name is Formula1, the following will be Formula2, Formula3....

  Overrides:
    `getNewFormulaName` in class `CatalogAPI`
  Parameters:
    `uID` - the User ID

### getNewFormulaName

    public java.lang.String getNewFormulaName(java.lang.String sourceName,
                                              java.lang.String uID)

  Gets the default Formula name for the Formula to be created in the current catalog,which must be unique. The first Formula name is Formula1, the following will be Formula2, Formula3....

  Parameters:
    `sourceName` - the database name
    `uID` - the User ID

### insert

    public java.lang.String insert(java.lang.String name,
                                   int type,
                                   java.lang.String uID)

  insert resource entity into catalog.

  Parameters:
    `name` - resource entity name
    `type` - resource entity type
    `uID` - user ID
  Returns:
    handle of resource entity

### insert

    public java.lang.String insert(java.lang.String sourceName,
                                   java.lang.String name,
                                   int type,
                                   java.lang.String uID)

  insert resource entity into catalog.

  Parameters:
    `sourceName` - database name
    `name` - resource entity name
    `type` - resource entity type
    `uID` - user ID
  Returns:
    handle of resource entity

### insert

    public java.lang.String insert(java.lang.String qryName,
                                   QueryFieldInfo queryFieldInfo,
                                   QueryJoinInfo queryJoinInfo,
                                   QueryQBEInfo queryQBEInfo,
                                   QueryAndInfo queryAndInfo,
                                   java.lang.String uID)

  Inserts a query into the catalog.

  Parameters:
    `qryName` - the query name
    `queryFieldInfo` - the table and fields information
    `queryJoinInfo` - the join information
    `queryQBEInfo` - the QBE information
    `queryAndInfo` - the where condition information
    `uID` - the User ID
  Returns:
    the handle of the newly inserted query. If fails, a null value will be returned.

### insert

    public java.lang.String insert(java.lang.String sourceName,
                                   java.lang.String qryName,
                                   QueryFieldInfo queryFieldInfo,
                                   QueryJoinInfo queryJoinInfo,
                                   QueryQBEInfo queryQBEInfo,
                                   QueryAndInfo queryAndInfo,
                                   java.lang.String uID)

  Inserts a query into the catalog.

  Parameters:
    `sourceName` - the name of data source
    `qryName` - the query name
    `queryFieldInfo` - the table and fields information
    `queryJoinInfo` - the join information
    `queryQBEInfo` - the QBE information
    `queryAndInfo` - the where condition information
    `uID` - the User ID
  Returns:
    the handle of the newly inserted query. If fails, a null value will be returned.

### deleteQuery

    public boolean deleteQuery(java.lang.String qryName,
                               java.lang.String uID)

  Deletes the query

  Overrides:
    `deleteQuery` in class `CatalogAPI`
  Parameters:
    `qryName` - the query name
    `uID` - the User ID
  Returns:
    ture if deletes successfully, else returns false

### deleteQuery

    public boolean deleteQuery(java.lang.String sourceName,
                               java.lang.String qryName,
                               java.lang.String uID)

  Deletes the query

  Parameters:
    `sourceName` - the name of data source
    `qryName` - the query name
    `uID` - the User ID
  Returns:
    ture if deletes successfully, else returns false

### deleteTable

    public boolean deleteTable(java.lang.String qryName,
                               java.lang.String tablename,
                               java.lang.String uID)

  Deletes the selected table in the query

  Parameters:
    `qryName` - the query name
    `tablename` - the name of table to be deleted
    `uID` - the User ID
  Returns:
    ture if deletes successfully, else returns false

### deleteTable

    public boolean deleteTable(java.lang.String sourceName,
                               java.lang.String qryName,
                               java.lang.String tablename,
                               java.lang.String uID)

  Deletes the selected table in the query

  Parameters:
    `sourceName` - the data source name
    `qryName` - the query name
    `tablename` - the name of table to be deleted
    `uID` - the User ID
  Returns:
    ture if deletes successfully, else returns false

### deleteColumn

    public boolean deleteColumn(java.lang.String qryName,
                                java.lang.String tablename,
                                java.lang.String columnname,
                                java.lang.String uID)

  Deletes the selected fields in the query

  Parameters:
    `qryName` - the name of the query
    `tablename` - the table name of the deleted field
    `columnname` - the column name of the deleted field
    `uID` - the User ID
  Returns:
    ture if deletes successfully, else returns false

### deleteColumn

    public boolean deleteColumn(java.lang.String sourceName,
                                java.lang.String qryName,
                                java.lang.String tablename,
                                java.lang.String columnname,
                                java.lang.String uID)

  Deletes the selected fields in the query

  Parameters:
    `sourceName` - the data source name
    `qryName` - the name of the query
    `tablename` - the table name of the deleted field
    `columnname` - the column name of the deleted field
    `uID` - the User ID
  Returns:
    ture if deletes successfully, else returns false

### delete

    public boolean delete(java.lang.String qryName,
                          java.lang.String tableFrom,
                          java.lang.String columnFrom,
                          java.lang.String operator,
                          java.lang.String tableTo,
                          java.lang.String columnTo,
                          java.lang.String uID)

  Deletes joins in the query

  Overrides:
    `delete` in class `CatalogAPI`
  Parameters:
    `qryName` - the query name
    `tableFrom` - the name of the table from which the join links
    `columnFrom` - the name of the column from which the join links
    `tableTo` - the name of the table to which the join links
    `columnTo` - the name of the column to which the join links
    `operator` - the operator of the join to be deleted
    `uID` - the User ID
  Returns:
    ture if deletes successfully, else returns false

### delete

    public boolean delete(java.lang.String sourceName,
                          java.lang.String qryName,
                          java.lang.String tableFrom,
                          java.lang.String columnFrom,
                          java.lang.String operator,
                          java.lang.String tableTo,
                          java.lang.String columnTo,
                          java.lang.String uID)

  Deletes joins in the query

  Parameters:
    `sourceName` - the data source name
    `qryName` - the query name
    `tableFrom` - the name of the table from which the join links
    `columnFrom` - the name of the column from which the join links
    `tableTo` - the name of the table to which the join links
    `columnTo` - the name of the column to which the join links
    `operator` - the operator of the join to be deleted
    `uID` - the User ID
  Returns:
    ture if deletes successfully, else returns false

### deleteQBE

    public boolean deleteQBE(java.lang.String qryName,
                             java.lang.String tablename,
                             java.lang.String columnname,
                             java.lang.String expression,
                             java.lang.String uID)

  Deletes the QBE condition in the query

  Overrides:
    `deleteQBE` in class `CatalogAPI`
  Parameters:
    `qryName` - the query name
    `tablename` - the name of the table where the QBE condition is
    `columnname` - the name of the column where the QBE condition is
    `expression` - the expression of the QBE condition
    `uID` - the User ID
  Returns:
    ture if deletes successfully, else returns false

### deleteQBE

    public boolean deleteQBE(java.lang.String sourceName,
                             java.lang.String qryName,
                             java.lang.String tablename,
                             java.lang.String columnname,
                             java.lang.String expression,
                             java.lang.String uID)

  Deletes the QBE condition in the query

  Parameters:
    `sourceName` - the data source name
    `qryName` - the query name
    `tablename` - the name of the table where the QBE condition is
    `columnname` - the name of the column where the QBE condition is
    `expression` - the expression of the QBE condition
    `uID` - the User ID
  Returns:
    ture if deletes successfully, else returns false

### deleteAND

    public boolean deleteAND(java.lang.String qryName,
                             java.lang.String sExpression1,
                             java.lang.String sOperator,
                             java.lang.String sExpression2,
                             java.lang.String sLogic,
                             java.lang.String uID)

  Deletes where conditions in the query

  Parameters:
    `qryName` - the query name
    `sLogic` - the logic string of the where condition to be deleted
    `sExpression1` - the first expression of the where condition to be deleted
    `sOperator` - the operator of the where condition to be deleted
    `sExpression2` - the second expression of the where condition to be deleted
    `uID` - the User ID
  Returns:
    ture if deletes successfully, else returns false

### deleteAND

    public boolean deleteAND(java.lang.String sourceName,
                             java.lang.String qryName,
                             java.lang.String sExpression1,
                             java.lang.String sOperator,
                             java.lang.String sExpression2,
                             java.lang.String sLogic,
                             java.lang.String uID)

  Deletes where conditions in the query

  Parameters:
    `sourceName` - the data source name
    `qryName` - the query name
    `sLogic` - the logic string of the where condition to be deleted
    `sExpression1` - the first expression of the where condition to be deleted
    `sOperator` - the operator of the where condition to be deleted
    `sExpression2` - the second expression of the where condition to be deleted
    `uID` - the User ID
  Returns:
    ture if deletes successfully, else returns false

### set

    public boolean set(java.lang.String qryName,
                       java.lang.String tablename,
                       boolean selectAllFields,
                       java.lang.String uID)

  Adds a new table to the query

  Parameters:
    `qryName` - the query name
    `tablename` - the name of table to be inserted
    `selectAllFields` - whether inserts the table with all its fields
    `uID` - the User ID
  Returns:
    ture if inserts successfully, else returns false

### setNewTable

    public boolean setNewTable(java.lang.String sourceName,
                               java.lang.String qryName,
                               java.lang.String tablename,
                               boolean selectAllFields,
                               java.lang.String uID)

  Adds a new table to the query

  Parameters:
    `sourceName` - the data source name
    `qryName` - the query name
    `tablename` - the name of table to be inserted
    `selectAllFields` - whether inserts the table with all its fields
    `uID` - the User ID
  Returns:
    ture if inserts successfully, else returns false

### set

    public boolean set(java.lang.String qryName,
                       java.lang.String tablename,
                       java.lang.String columnname,
                       boolean isFormula,
                       java.lang.String uID)

  Adds a new field to the query

  Parameters:
    `qryName` - the query name
    `tablename` - the name of the table where the field is
    `isFormula` - whether the field to be inserted is a formula
    `uID` - the User ID
  Returns:
    ture if inserts successfully, else returns false

### set

    public boolean set(java.lang.String sourceName,
                       java.lang.String qryName,
                       java.lang.String tablename,
                       java.lang.String columnname,
                       boolean isFormula,
                       java.lang.String uID)

  Adds a new field to the query

  Parameters:
    `sourceName` - the data source name
    `qryName` - the query name
    `tablename` - the name of the table where the field is
    `isFormula` - whether the field to be inserted is a formula
    `uID` - the User ID
  Returns:
    ture if inserts successfully, else returns false

### set

    public boolean set(java.lang.String qryName,
                       java.lang.String tableFrom,
                       java.lang.String columnFrom,
                       java.lang.String operator,
                       java.lang.String tableTo,
                       java.lang.String columnTo,
                       java.lang.String uID)

  Adds a new join to the query

  Parameters:
    `qryName` - the query name
    `tableFrom` - the name of the tabe from which the join links
    `columnFrom` - the name of the column from which the join links
    `tableTo` - the name of the table to which the join links
    `columnTo` - the name of the column to which the join links
    `operator` - operator of the join to be inserted
    `uID` - the User ID
  Returns:
    ture if inserts successfully, else returns false

### set

    public boolean set(java.lang.String sourceName,
                       java.lang.String qryName,
                       java.lang.String tableFrom,
                       java.lang.String columnFrom,
                       java.lang.String operator,
                       java.lang.String tableTo,
                       java.lang.String columnTo,
                       java.lang.String uID)

  Adds a new join to the query

  Parameters:
    `sourceName` - the data source name
    `qryName` - the query name
    `tableFrom` - the name of the tabe from which the join links
    `columnFrom` - the name of the column from which the join links
    `tableTo` - the name of the table to which the join links
    `columnTo` - the name of the column to which the join links
    `operator` - operator of the join to be inserted
    `uID` - the User ID
  Returns:
    ture if inserts successfully, else returns false

### setQBE

    public boolean setQBE(java.lang.String qryName,
                          java.lang.String tablename,
                          java.lang.String columnname,
                          java.lang.String expression,
                          java.lang.String uID)

  Adds a new QBE condition to the query

  Overrides:
    `setQBE` in class `CatalogAPI`
  Parameters:
    `qryName` - the query name
    `tablename` - the name of the table where the QBE condition will be added
    `columnname` - the name of the column where the QBE condition will be added
    `expression` - the expression of the QBE condition
    `uID` - the User ID
  Returns:
    ture if inserts successfully, else returns false

### setQBE

    public boolean setQBE(java.lang.String sourceName,
                          java.lang.String qryName,
                          java.lang.String tablename,
                          java.lang.String columnname,
                          java.lang.String expression,
                          java.lang.String uID)

  Adds a new QBE condition to the query

  Parameters:
    `sourceName` - the data source name
    `qryName` - the query name
    `tablename` - the name of the table where the QBE condition will be added
    `columnname` - the name of the column where the QBE condition will be added
    `expression` - the expression of the QBE condition
    `uID` - the User ID
  Returns:
    ture if inserts successfully, else returns false

### setAND

    public boolean setAND(java.lang.String qryName,
                          java.lang.String sExpression1,
                          java.lang.String sOperator,
                          java.lang.String sExpression2,
                          java.lang.String sLogic,
                          java.lang.String uID)

  Adds a new where condition to the query

  Parameters:
    `qryName` - the query name
    `sLogic` - the logic string of the where condition to be inserted
    `sExpression1` - the first expression of the where condition to be inserted
    `sOperator` - the operator of the where condition to be inserted
    `sExpression2` - the second expression of the where condition to be inserted
    `uID` - the User ID
  Returns:
    ture if inserts successfully, else returns false

### setAND

    public boolean setAND(java.lang.String sourceName,
                          java.lang.String qryName,
                          java.lang.String sExpression1,
                          java.lang.String sOperator,
                          java.lang.String sExpression2,
                          java.lang.String sLogic,
                          java.lang.String uID)

  Adds a new where condition to the query

  Parameters:
    `sourceName` - the data source name
    `qryName` - the query name
    `sLogic` - the logic string of the where condition to be inserted
    `sExpression1` - the first expression of the where condition to be inserted
    `sOperator` - the operator of the where condition to be inserted
    `sExpression2` - the second expression of the where condition to be inserted
    `uID` - the User ID
  Returns:
    ture if inserts successfully, else returns false

### set

    public boolean set(java.lang.String handle,
                       FormulaInfo info,
                       java.lang.String uID)

  modify formula

  Parameters:
    `handle` - handle of the formula
    `info` - formula information
    `uID` - the User ID
  Returns:
    ture if it is successful, else returns false

### set

    public boolean set(java.lang.String qryName,
                       UnionInfo unionInfo,
                       java.lang.String uID)

  Adds a union query in to the query

  Parameters:
    `qryName` - the query name
    `unionInfo` - union query information
    `uID` - the User ID
  Returns:
    ture if inserts successfully, else returns false

### set

    public boolean set(java.lang.String sourceName,
                       java.lang.String qryName,
                       UnionInfo unionInfo,
                       java.lang.String uID)

  Adds a union query in to the query

  Parameters:
    `sourceName` - the name of data source
    `qryName` - the query name
    `unionInfo` - union query information
    `uID` - the User ID
  Returns:
    ture if inserts successfully, else returns false

### set

    public boolean set(java.lang.String qryName,
                       SubQueryInfo subqueryInfo,
                       java.lang.String uID)

  Adds a subquery in to the query

  Parameters:
    `qryName` - the query name
    `subqueryInfo` - sub query information
    `uID` - the User ID
  Returns:
    ture if inserts successfully, else returns false

### set

    public boolean set(java.lang.String sourceName,
                       java.lang.String qryName,
                       SubQueryInfo subqueryInfo,
                       java.lang.String uID)

  Adds a subquery in to the query

  Parameters:
    `sourceName` - the name of data source
    `qryName` - the query name
    `subqueryInfo` - sub query information
    `uID` - the User ID
  Returns:
    ture if inserts successfully, else returns false

### getDBFields

    public java.lang.String[] getDBFields(java.lang.String qryName,
                                          java.lang.String uID)

  Gets DBFields that can be used in the query.

  Overrides:
    `getDBFields` in class `CatalogAPI`
  Parameters:
    `qryName` - the query name
    `uID` - the User ID
  Returns:
    the mapping name array

### getDBFields

    public java.lang.String[] getDBFields(java.lang.String sourceName,
                                          java.lang.String qryName,
                                          java.lang.String uID)

  Gets DBFields that can be used in the query.

  Parameters:
    `sourceName` - the data source name
    `qryName` - the query name
    `uID` - the User ID
  Returns:
    the mapping name array

### getFormulae

    public java.lang.String[] getFormulae(java.lang.String uID)

  Gets formulae that can be used in the catalog.

  Overrides:
    `getFormulae` in class `CatalogAPI`
  Parameters:
    `uID` - the User ID
  Returns:
    the mapping name array

### getFormulae

    public java.lang.String[] getFormulae(java.lang.String sourceName,
                                          java.lang.String uID)

  Gets formulae that can be used in the catalog.

  Parameters:
    `sourceName` - the name of data source
    `uID` - the User ID
  Returns:
    the mapping name array

### getSummaries

    public java.lang.String[] getSummaries(java.lang.String uID)

  Gets summaries that can be used in the catalog.

  Overrides:
    `getSummaries` in class `CatalogAPI`
  Parameters:
    `uID` - the User ID
  Returns:
    the mapping name array

### getSummaries

    public java.lang.String[] getSummaries(java.lang.String sourceName,
                                           java.lang.String uID)

  Gets summaries that can be used in the catalog.

  Parameters:
    `sourceName` - the name of data source
    `uID` - the User ID
  Returns:
    the mapping name array

### getSQLs

    public java.lang.String[] getSQLs(java.lang.String uID)

  Gets all SQL files in the catalog.

  Overrides:
    `getSQLs` in class `CatalogAPI`
  Parameters:
    `uID` - the User ID
  Returns:
    the mapping name array

### getSQLs

    public java.lang.String[] getSQLs(java.lang.String sourceName,
                                      java.lang.String uID)

  Gets all SQL files in the catalog.

  Parameters:
    `sourceName` - the name of data source
    `uID` - the User ID
  Returns:
    the mapping name array

### getUDSs

    public java.lang.String[] getUDSs(java.lang.String uID)

  Gets all UDSs in the catalog.

  Overrides:
    `getUDSs` in class `CatalogAPI`
  Parameters:
    `uID` - the User ID
  Returns:
    the mapping name array

### getUDSs

    public java.lang.String[] getUDSs(java.lang.String sourceName,
                                      java.lang.String uID)

  Gets all UDSs in the catalog.

  Parameters:
    `sourceName` - the name of data source
    `uID` - the User ID
  Returns:
    the mapping name array

### getParameter

    public java.lang.String[] getParameter(java.lang.String uID)

  Gets parameters in the catalog.

  Overrides:
    `getParameter` in class `CatalogAPI`
  Parameters:
    `uID` - the User ID
  Returns:
    the mapping name array

### getParameter

    public java.lang.String[] getParameter(java.lang.String sourceName,
                                           java.lang.String uID)

  Gets parameters in the catalog.

  Parameters:
    `sourceName` - the name of data source
    `uID` - the User ID
  Returns:
    the mapping name array

### getQueries

    public java.lang.String[] getQueries(java.lang.String uID)

  Gets queries in the catalog.

  Overrides:
    `getQueries` in class `CatalogAPI`
  Parameters:
    `uID` - the User ID
  Returns:
    the mapping name array

### getQueries

    public java.lang.String[] getQueries(java.lang.String sourceName,
                                         java.lang.String uID)

  Gets queries in the catalog.

  Parameters:
    `sourceName` - the name of data source
    `uID` - the User ID
  Returns:
    the mapping name array

### getTables

    public java.lang.String[] getTables(java.lang.String uID)

  Gets tables and views in the connection

  Overrides:
    `getTables` in class `CatalogAPI`
  Parameters:
    `uID` - the User ID
  Returns:
    the mapping name array

### getTables

    public java.lang.String[] getTables(java.lang.String sourceName,
                                        java.lang.String uID)

  Gets tables and views in the connection

  Parameters:
    `sourceName` - the name of data source
    `uID` - the User ID
  Returns:
    the mapping name array

### getColumns

    public QueryTableInfo getColumns(java.lang.String queryName,
                                     boolean allColumns,
                                     java.lang.String uID)

  Gets columns in the query

  Parameters:
    `queryName` - the query name
    `uID` - the User ID
    `allColumns` - select all columns in selected tables
  Returns:
    table name and column mapping names

### getColumns

    public QueryTableInfo getColumns(java.lang.String sourceName,
                                     java.lang.String queryName,
                                     boolean allColumns,
                                     java.lang.String uID)

  Gets columns in the query

  Parameters:
    `sourceName` - the data source name
    `queryName` - the query name
    `allColumns` - select all columns in selected tables
    `uID` - the User ID
  Returns:
    table name and column mapping names

### getCompColumns

    public java.lang.String[] getCompColumns(java.lang.String queryName,
                                             java.lang.String uID)

  Gets computed columns in the query

  Overrides:
    `getCompColumns` in class `CatalogAPI`
  Parameters:
    `queryName` - the query name
    `uID` - the User ID
  Returns:
    computed column names

### getCompColumns

    public java.lang.String[] getCompColumns(java.lang.String sourceName,
                                             java.lang.String queryName,
                                             java.lang.String uID)

  Gets computed columns in the query

  Parameters:
    `sourceName` - the data source name
    `queryName` - the query name
    `uID` - the User ID
  Returns:
    computed column names

### getJoins

    public java.lang.String[][] getJoins(java.lang.String queryName,
                                         java.lang.String uID)

  Gets joins in the query

  Overrides:
    `getJoins` in class `CatalogAPI`
  Parameters:
    `queryName` - the query name
    `uID` - the User ID
  Returns:
    join info array. note: String[i][0] = Table "From" Name, String[i][1] = Column "From" Name, String[i][2] = Table "To" Name, String[i][3] = Column "To" Name String[i][4] = operator String[i][5] = string value of isSQL92 String[i][6] = string value of outer join type

### getJoins

    public java.lang.String[][] getJoins(java.lang.String sourceName,
                                         java.lang.String queryName,
                                         java.lang.String uID)

  Gets joins in the query

  Parameters:
    `sourceName` - the name of data source
    `queryName` - the query name
    `uID` - the User ID
  Returns:
    join info array. note: String[i][0] = Table "From" Name, String[i][1] = Column "From" Name, String[i][2] = Table "To" Name, String[i][3] = Column "To" Name String[i][4] = operator String[i][5] = string value of isSQL92 String[i][6] = string value of outer join type

### getQBEInfo

    public java.lang.String[][] getQBEInfo(java.lang.String queryName,
                                           java.lang.String uID)

  Gets QBE infomation in the query

  Overrides:
    `getQBEInfo` in class `CatalogAPI`
  Parameters:
    `queryName` - the query name
    `uID` - the User ID
  Returns:
    QBE info array note:String[i][0] = table Name, String[i][1] = column Name, String[i][j](j>1) = condition expression of this column,

### getQBEInfo

    public java.lang.String[][] getQBEInfo(java.lang.String sourceName,
                                           java.lang.String queryName,
                                           java.lang.String uID)

  Gets QBE infomation in the query

  Parameters:
    `sourceName` - the data source name
    `uID` - the User ID
    `queryName` - the query name
  Returns:
    QBE info array note:String[i][0] = table Name, String[i][1] = column Name, String[i][j](j>1) = condition expression of this column,

### getAndConditions

    public java.lang.String[][] getAndConditions(java.lang.String queryName,
                                                 java.lang.String uID)

  Gets "AND" conditions in the query

  Overrides:
    `getAndConditions` in class `CatalogAPI`
  Parameters:
    `queryName` - the query name
    `uID` - the User ID
  Returns:
    condition info array. note: String[i][0] = "Logic" String[i][1] = "Expression1", String[i][2] = "Operator", String[i][3] = "Expression2"

### getAndConditions

    public java.lang.String[][] getAndConditions(java.lang.String sourceName,
                                                 java.lang.String queryName,
                                                 java.lang.String uID)

  Gets "AND" conditions in the query

  Parameters:
    `sourceName` - the data source name
    `uID` - the User ID
    `queryName` - the query name
  Returns:
    condition info array. note: String[i][0] = "Logic" String[i][1] = "Expression1", String[i][2] = "Operator", String[i][3] = "Expression2"

### getColumnMappingnames

    public java.lang.String[] getColumnMappingnames(java.lang.String queryName,
                                                    java.lang.String uID)

  Gets column mapping names in the query

  Overrides:
    `getColumnMappingnames` in class `CatalogAPI`
  Parameters:
    `queryName` - the query name
    `uID` - the User ID
  Returns:
    the table name and column mapping names

### getColumnMappingnames

    public java.lang.String[] getColumnMappingnames(java.lang.String sourceName,
                                                    java.lang.String queryName,
                                                    java.lang.String uID)

  Gets column mapping names in the query

  Parameters:
    `sourceName` - the data source name
    `queryName` - the query name
    `uID` - the User ID
  Returns:
    the table name and column mapping names

### getColumnsCanBeGroupedBy

    public QueryTableInfo getColumnsCanBeGroupedBy(java.lang.String queryName,
                                                   java.lang.String uID)

  Gets columns which can be groupby in the query

  Overrides:
    `getColumnsCanBeGroupedBy` in class `CatalogAPI`
  Parameters:
    `queryName` - the query name
    `uID` - the User ID
  Returns:
    the column mapping names

### getColumnsCanBeGroupedBy

    public QueryTableInfo getColumnsCanBeGroupedBy(java.lang.String sourceName,
                                                   java.lang.String queryName,
                                                   java.lang.String uID)

  Gets columns which can be groupby in the query

  Parameters:
    `sourceName` - the data source name
    `queryName` - the query name
    `uID` - the User ID
  Returns:
    the column mapping names

### getFormulaeForQuery

    public java.lang.String[] getFormulaeForQuery(java.lang.String queryName,
                                                  java.lang.String uID)

  Gets formulae which are valid to query

  Overrides:
    `getFormulaeForQuery` in class `CatalogAPI`
  Parameters:
    `queryName` - the query name
    `uID` - the User ID
  Returns:
    the formula names

### getFormulaeForQuery

    public java.lang.String[] getFormulaeForQuery(java.lang.String sourceName,
                                                  java.lang.String queryName,
                                                  java.lang.String uID)

  Gets formulae which are valid to query

  Parameters:
    `sourceName` - the data source name
    `queryName` - the query name
    `uID` - the User ID
  Returns:
    the formula names

### getSummariesForQuery

    public java.lang.String[] getSummariesForQuery(java.lang.String queryName,
                                                   java.lang.String uID)

  Gets Summaries which are valid to query

  Overrides:
    `getSummariesForQuery` in class `CatalogAPI`
  Parameters:
    `queryName` - the query name
    `uID` - the User ID
  Returns:
    the Summary names

### getSummariesForQuery

    public java.lang.String[] getSummariesForQuery(java.lang.String sourceName,
                                                   java.lang.String queryName,
                                                   java.lang.String uID)

  Gets Summaries which are valid to query

  Parameters:
    `sourceName` - the data source name
    `queryName` - the query name
    `uID` - the User ID
  Returns:
    the Summary names

### getFmlCanBeGroupedBy

    public java.lang.String[] getFmlCanBeGroupedBy(java.lang.String queryName,
                                                   java.lang.String uID)

  Gets formulae which are valid to query and can be group on

  Parameters:
    `queryName` - the query name
    `uID` - the User ID
  Returns:
    the formula names

### getFmlCanBeGroupedBy

    public java.lang.String[] getFmlCanBeGroupedBy(java.lang.String sourceName,
                                                   java.lang.String queryName,
                                                   java.lang.String uID)

  Gets formulae which are valid to query and can be group on

  Parameters:
    `sourceName` - the data source name
    `queryName` - the query name
    `uID` - the User ID
  Returns:
    the formula names

### getFormulaeCanBeGroupedBy

    public java.lang.String[] getFormulaeCanBeGroupedBy(java.lang.String queryName,
                                                        java.lang.String groupBy,
                                                        java.lang.String uID)

  Gets formulae which are valid to query

  Parameters:
    `queryName` - the query name
    `uID` - the User ID
  Returns:
    the formula names

### getFormulaeCanBeGroupedBy

    public java.lang.String[] getFormulaeCanBeGroupedBy(java.lang.String sourceName,
                                                        java.lang.String queryName,
                                                        java.lang.String groupBy,
                                                        java.lang.String uID)

  Gets formulae which are valid to query

  Parameters:
    `sourceName` - the data source name
    `queryName` - the query name
    `uID` - the User ID
  Returns:
    the formula names

### getChartFunctions

    public java.lang.String[] getChartFunctions(java.lang.String queryName,
                                                java.lang.String groupBy,
                                                java.lang.String uID)

  Gets formulae and summaries which are valid to the query and grouped on this field.

  Overrides:
    `getChartFunctions` in class `CatalogAPI`
  Parameters:
    `queryName` - the query name
    `groupBy` - the groupBy field name
    `uID` - the User ID
  Returns:
    the formula and summary names

### getChartFunctions

    public java.lang.String[] getChartFunctions(java.lang.String sourceName,
                                                java.lang.String queryName,
                                                java.lang.String groupBy,
                                                java.lang.String uID)

  Gets formulae and summaries which are valid to the query and grouped on this field.

  Parameters:
    `sourceName` - the data source name
    `queryName` - the query name
    `groupBy` - the groupBy field name
    `uID` - the User ID
  Returns:
    the formula and summary names

### getParameterCanBeGroupedBy

    public java.lang.String[] getParameterCanBeGroupedBy(java.lang.String uID)

  Gets parameters which can be grouped by

  Overrides:
    `getParameterCanBeGroupedBy` in class `CatalogAPI`
  Parameters:
    `uID` - the User ID
  Returns:
    parameter names

### getParameterCanBeGroupedBy

    public java.lang.String[] getParameterCanBeGroupedBy(java.lang.String sourceName,
                                                         java.lang.String uID)

  Gets parameters which can be grouped by

  Parameters:
    `sourceName` - the data source name
    `uID` - the User ID
  Returns:
    parameter names

### getSummaryCanBeSortedBy

    public java.lang.String[] getSummaryCanBeSortedBy(java.lang.String queryName,
                                                      java.lang.String groupBy,
                                                      java.lang.String uID)

  Gets summary which can be sorted by

  Overrides:
    `getSummaryCanBeSortedBy` in class `CatalogAPI`
  Parameters:
    `queryName` - the query name
    `groupBy` - the groupBy field
    `uID` - the User ID
  Returns:
    summary names

### getSummaryCanBeSortedBy

    public java.lang.String[] getSummaryCanBeSortedBy(java.lang.String sourceName,
                                                      java.lang.String queryName,
                                                      java.lang.String groupBy,
                                                      java.lang.String uID)

  Gets summary which can be sorted by

  Parameters:
    `sourceName` - the data source name
    `queryName` - the query name
    `groupBy` - the groupBy field
    `uID` - the User ID
  Returns:
    summary names

### isModified

    public boolean isModified()

  whether the catalog was modified

  Overrides:
    `isModified` in class `CatalogAPI`
  Returns:
    true if catalog was modified

### getHandle

    public java.lang.String getHandle(java.lang.String resourceName,
                                      java.lang.String uID)

  get the object handle

  Parameters:
    `resourceName` - object mapping name
    `uID` - user ID
  Returns:
    the object handle

### getHandle

    public java.lang.String getHandle(java.lang.String sourceName,
                                      java.lang.String resourceName,
                                      java.lang.String uID)

  get the object handle

  Parameters:
    `resourceName` - object mapping name
    `uID` - user ID
  Returns:
    the object handle

### getHandle

    public java.lang.String getHandle(java.lang.String resourceName,
                                      int type,
                                      java.lang.String uID)

  get the object handle

  Parameters:
    `resourceName` - object mapping name
    `type` - object type
    `uID` - user ID
  Returns:
    the object handle

### rename

    public java.lang.String rename(java.lang.String resourceName,
                                   java.lang.String newName,
                                   int type,
                                   java.lang.String uID)

  rename the specified object

  Parameters:
    `resourceName` - resource name(mapping name) of the object
    `newName` - new name of the object
    `type` - object type
  Returns:
    new resource name if it is successful.

### rename

    public java.lang.String rename(java.lang.String sourceName,
                                   java.lang.String resourceName,
                                   java.lang.String newName,
                                   int type,
                                   java.lang.String uID)

  rename the specified object

  Parameters:
    `sourceName` - the name of data source
    `resourceName` - resource name(mapping name) of the object
    `newName` - new name of the object
    `type` - object type
  Returns:
    new resource name if it is successful.

### insertCompCol

    public java.lang.String insertCompCol(java.lang.String qryName,
                                          java.lang.String columnName,
                                          java.lang.String sExpression,
                                          java.lang.String uID)

  Inserts a computed column into query.

  Overrides:
    `insertCompCol` in class `CatalogAPI`
  Parameters:
    `qryName` - the query name
    `columnName` - the resource name of computed column
    `sExpression` - the expression of this column
    `uID` - the expression of this column
  Returns:
    the handle of the newly inserted column. If fails, a null value will be returned.

### insertCompCol

    public java.lang.String insertCompCol(java.lang.String sourceName,
                                          java.lang.String qryName,
                                          java.lang.String columnName,
                                          java.lang.String sExpression,
                                          java.lang.String uID)

  Inserts a computed column into query.

  Parameters:
    `sourceName` - the name of data source
    `qryName` - the query name
    `columnName` - the resource name of computed column
    `sExpression` - the expression of this column
  Returns:
    the handle of the newly inserted column. If fails, a null value will be returned.

### deleteCompCol

    public boolean deleteCompCol(java.lang.String qryName,
                                 java.lang.String columnName,
                                 java.lang.String uID)

  delete a computed column into query.

  Overrides:
    `deleteCompCol` in class `CatalogAPI`
  Parameters:
    `qryName` - the query name
    `columnName` - the resource name of computed column
    `uID` - the resource name of computed column
  Returns:
    the handle of the newly inserted column. If fails, a null value will be returned.

### deleteCompCol

    public boolean deleteCompCol(java.lang.String sourceName,
                                 java.lang.String qryName,
                                 java.lang.String columnName,
                                 java.lang.String uID)

  delete a computed column into query.

  Parameters:
    `sourceName` - the name of data source
    `qryName` - the query name
    `columnName` - the resource name of computed column
  Returns:
    the handle of the newly inserted column. If fails, a null value will be returned.

### setCompCol

    public boolean setCompCol(java.lang.String qryName,
                              java.lang.String columnName,
                              java.lang.String sExpression,
                              java.lang.String uID)

  modify the expression of a computed column .

  Overrides:
    `setCompCol` in class `CatalogAPI`
  Parameters:
    `qryName` - the query name
    `columnName` - the resource name of computed column
    `sExpression` - the expression of this column
    `uID` - the expression of this column
  Returns:
    the handle of the newly inserted column. If fails, a null value will be returned.

### setCompCol

    public boolean setCompCol(java.lang.String sourceName,
                              java.lang.String qryName,
                              java.lang.String columnName,
                              java.lang.String sExpression,
                              java.lang.String uID)

  modify the expression of a computed column .

  Parameters:
    `sourceName` - the name of data source
    `qryName` - the query name
    `columnName` - the resource name of computed column
    `sExpression` - the expression of this column
  Returns:
    the handle of the newly inserted column. If fails, a null value will be returned.

### insertSql

    public java.lang.String insertSql(java.lang.String dataSourceName,
                                      java.lang.String SQLName,
                                      java.lang.String filename,
                                      java.lang.String uID)

  Imports a SQL file

  Parameters:
    `dataSourceName` - the data source name
    `SQLName` - the SQL name
    `filename` - the imported file name
  Returns:
    the handle of the newly inserted file sql. If fails, a null value will be returned.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD